org.fourthline.cling.transport.spi

## Class AbstractStreamClientConfiguration

- java.lang.Object
- - org.fourthline.cling.transport.spi.AbstractStreamClientConfiguration

- All Implemented Interfaces:
    StreamClientConfiguration
  Direct Known Subclasses:
    StreamClientConfigurationImpl, StreamClientConfigurationImpl

      public abstract class AbstractStreamClientConfiguration
      extends Object
      implements StreamClientConfiguration

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `logWarningSeconds`
    `protected ExecutorService` | `requestExecutorService`
    `protected int` | `timeoutSeconds`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractStreamClientConfiguration(ExecutorService requestExecutorService)`
    `protected` | `AbstractStreamClientConfiguration(ExecutorService requestExecutorService, int timeoutSeconds)`
    `protected` | `AbstractStreamClientConfiguration(ExecutorService requestExecutorService, int timeoutSeconds, int logWarningSeconds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLogWarningSeconds()`
    `ExecutorService` | `getRequestExecutorService()` Used to execute the actual HTTP request, the StreamClient waits on the "current" thread for completion or timeout.
    `int` | `getTimeoutSeconds()`
    `String` | `getUserAgentValue(int majorVersion, int minorVersion)` Used for outgoing HTTP requests if no other value was already set on messages.
    `void` | `setLogWarningSeconds(int logWarningSeconds)`
    `void` | `setRequestExecutorService(ExecutorService requestExecutorService)`
    `void` | `setTimeoutSeconds(int timeoutSeconds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestExecutorService

          protected ExecutorService requestExecutorService

    - #### timeoutSeconds

          protected int timeoutSeconds

    - #### logWarningSeconds

          protected int logWarningSeconds

  - ### Constructor Detail

    - #### AbstractStreamClientConfiguration

          protected AbstractStreamClientConfiguration(ExecutorService requestExecutorService)

    - #### AbstractStreamClientConfiguration

          protected AbstractStreamClientConfiguration(ExecutorService requestExecutorService,
                                                      int timeoutSeconds)

    - #### AbstractStreamClientConfiguration

          protected AbstractStreamClientConfiguration(ExecutorService requestExecutorService,
                                                      int timeoutSeconds,
                                                      int logWarningSeconds)

  - ### Method Detail

    - #### getRequestExecutorService

          public ExecutorService getRequestExecutorService()

      Description copied from interface: `StreamClientConfiguration`
      Used to execute the actual HTTP request, the StreamClient waits on the "current" thread for completion or timeout. You probably want to use the same executor service for both, so usually this is `UpnpServiceConfiguration.getSyncProtocolExecutorService()`.
      Specified by:
        `getRequestExecutorService` in interface `StreamClientConfiguration`
      Returns:
        The `ExecutorService` to use for actual sending of HTTP requests.

    - #### setRequestExecutorService

          public void setRequestExecutorService(ExecutorService requestExecutorService)

    - #### getTimeoutSeconds

          public int getTimeoutSeconds()

      Specified by:
        `getTimeoutSeconds` in interface `StreamClientConfiguration`
      Returns:
        Configured value or default of 60 seconds.

    - #### setTimeoutSeconds

          public void setTimeoutSeconds(int timeoutSeconds)

    - #### getLogWarningSeconds

          public int getLogWarningSeconds()

      Specified by:
        `getLogWarningSeconds` in interface `StreamClientConfiguration`
      Returns:
        Configured value or default of 5 seconds.

    - #### setLogWarningSeconds

          public void setLogWarningSeconds(int logWarningSeconds)

    - #### getUserAgentValue

          public String getUserAgentValue(int majorVersion,
                                          int minorVersion)

      Description copied from interface: `StreamClientConfiguration`
      Used for outgoing HTTP requests if no other value was already set on messages.
      Specified by:
        `getUserAgentValue` in interface `StreamClientConfiguration`
      Parameters:
        `majorVersion` - The UPnP UDA major version.
        `minorVersion` - The UPnP UDA minor version.
      Returns:
        Defaults to string value of `ServerClientTokens`.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.